# OpenLayers.Protocol.SQL

Abstract SQL protocol class. Not to be instantiated directly. Use one of the SQL protocol subclasses instead.

#### Inherits from

- OpenLayers.Protocol

Summary

OpenLayers.Protocol.SQL | Abstract SQL protocol class.
Properties |
databaseName | {String}
tableName | Name of the database table into which Features should be saved.
Constructor |
OpenLayers.Protocol.SQL |
Functions |
destroy | Clean up the protocol.
supported | This should be overridden by specific subclasses

### Properties

### databaseName

{String}

### tableName

Name of the database table into which Features should be saved.

### Constructor

### OpenLayers.Protocol.SQL

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### supported

> supported: function()

This should be overridden by specific subclasses

#### Returns

{Boolean} Whether or not the browser supports the SQL backend

> destroy: function()

Clean up the protocol.

> supported: function()

This should be overridden by specific subclasses
Abstract vector layer protocol class.
Close